package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.eval.dao.DataDictionaryMapper;
import com.ims.eval.entity.DataDictionary;
import com.ims.eval.service.IDataDictionaryService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 数据字典表 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
@Service
public class DataDictionaryServiceImpl extends ServiceImpl<DataDictionaryMapper, DataDictionary> implements IDataDictionaryService {

	@Override
	public List<DataDictionary> list(String id, String dataKey, String keyName, String superKey) {
		QueryWrapper<DataDictionary> qw = new QueryWrapper<>();
		qw.lambda().eq(DataDictionary::getId, id);
		qw.lambda().eq(DataDictionary::getDataKey, dataKey);
		qw.lambda().like(DataDictionary::getKeyName, keyName);
		qw.lambda().eq(DataDictionary::getSuperKey, superKey);
		List<DataDictionary> list = baseMapper.selectList(qw);
		return list;
	}


}
